wahcade_0.26_all.deb does in fact install on 8.04 Hardy!

A nice (keyboard based) front end for Arcade / Console game emulators.

Moderator: battlecat

wahcade_0.26_all.deb does in fact install on 8.04 Hardy!

Postby bagleemo » Fri Apr 25, 2008 2:23 am

Sorry if it is obvious that this shouldn't work...

gmster@Heracles:~$ sudo dpkg -i wahcade_0.26_all.deb
dpkg: error processing wahcade_0.26_all.deb (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
wahcade_0.26_all.deb
gmster@Heracles:~$
Last edited by bagleemo on Mon Apr 28, 2008 1:37 am, edited 1 time in total.
bagleemo
 
Posts: 18
Joined: Wed Nov 14, 2007 3:46 am

Postby battlecat » Fri Apr 25, 2008 10:35 pm

bagleemo:

No I am not sure why this doesn't work in Ubuntu 8.04. Thanks for telling the forum so fast! I believe that 8.04 was offically released at about 8:10am here on the east coast.

This is one for the Balki! He has been having some dificulties with the .deb packaging lately and hopfuly it will be resolved here in a month or so. I know that sounds like a long time but really it is not. And considering its his baby and he has done a knock up job so far I just hope he finds enough time to keep this alive.

I have become free now that its summer so please look forward to hearing much more from me. I should also get a chat nick up so we can use that.

Keep up the great bug finding!

Battlecat
http://www.anti-particle.com - The *nix front end of choice.
http://www.twingalaxies.com - The Official Electronic Scoreboard
User avatar
battlecat
 
Posts: 339
Joined: Fri Aug 03, 2007 12:53 am
Location: Pennsylvania, USA

Postby amacieli » Sat Apr 26, 2008 5:47 pm

A bang-up job has indeed been done. But I installed Hardy too (minimal "network" install), and Wahcade installed just fine...
amacieli
 
Posts: 23
Joined: Fri Apr 18, 2008 1:04 am
Location: Land of Many Squirrels

Postby battlecat » Sat Apr 26, 2008 6:44 pm

amacieli You did a fresh install with Ubuntu Hardy 8.04 Minimal Network Install on what type of computer? I assume that this had to be a fresh install from a minimal CDR.

So the results were positive and nothing has crashed or given you issues?

Did you have to install it on the CLI or was that .deb file working with gdebi?
http://www.anti-particle.com - The *nix front end of choice.
http://www.twingalaxies.com - The Official Electronic Scoreboard
User avatar
battlecat
 
Posts: 339
Joined: Fri Aug 03, 2007 12:53 am
Location: Pennsylvania, USA

Postby battlecat » Sat Apr 26, 2008 7:36 pm

04-26-2008 Saturday
Ubuntu Hardy Heron 8.04 LTS

Downloaded Wah!Cade 0.26 from the http://www.anti-particle.com/wahcade.shtml site.

Saved the file to my home directory

Double clicked the .deb I just downloaded and recieved this error:

******
Could not open 'wahcade_0.26_all.deb'
The package might be corrupted or you are not allowed to open the file. Check the permissions of the file.
******

The only option is to click the "Close" button.

I opened up the CLI

I did the following in the CLI:

******
richard@richard-laptop:~/Source$ sudo gdebi wahcade_0.26_all.deb
Reading package lists: Done
Reading state information: Done
Reading state information: Done
Reading state information: Done
Failed to open the software package
The package might be corrupted or you are not allowed to open the file. Check the permissions of the file.
******

Okay. I have no clue now. I had issues getting the gdebi package manager to work with 7.10 (CLI worked fine) and now I cannot get Wah!Cade to install either via the GTK interface or the CLI in Ubuntu 8.04.

Balki I think that you have some packaging issues.
http://www.anti-particle.com - The *nix front end of choice.
http://www.twingalaxies.com - The Official Electronic Scoreboard
User avatar
battlecat
 
Posts: 339
Joined: Fri Aug 03, 2007 12:53 am
Location: Pennsylvania, USA

Postby amacieli » Sat Apr 26, 2008 8:48 pm

I didn't have any issues. I downloaded the deb from the link on the anti-particle home page. Then entered sudo dpkg -i wah* and it installed fine (had to install dependencies first).
amacieli
 
Posts: 23
Joined: Fri Apr 18, 2008 1:04 am
Location: Land of Many Squirrels

Postby battlecat » Sun Apr 27, 2008 1:58 am

Okay I might have mistaken but I was trying to use either the graphical installer or gdebi via the CLI. I never tried using dkpg via the CLI. This could be the same packaging problem that is mentioned by Balki in a post on the forum.

I suppose we will have to wait and see about this .deb packaging fix.
http://www.anti-particle.com - The *nix front end of choice.
http://www.twingalaxies.com - The Official Electronic Scoreboard
User avatar
battlecat
 
Posts: 339
Joined: Fri Aug 03, 2007 12:53 am
Location: Pennsylvania, USA

Postby bagleemo » Mon Apr 28, 2008 1:46 am

Alright folks, I made a mistake. A pretty stupid one actually, and for that I apologize. I will sincerely do my best not to make it a habit. It was late, the downloaded file was in the wrong directory, and I thought the error message had something to do with repositories, and not the fact that the package file was not where it was supposed to be.

So, when I used:
sudo dpkg -i wahcade_0.26_all.deb

and the package is actually in the current directory!

I got the following output:

Selecting previously deselected package wahcade.
(Reading database ... 95726 files and directories currently installed.)
Unpacking wahcade (from wahcade_0.26_all.deb) ...
dpkg: dependency problems prevent configuration of wahcade:
wahcade depends on python-chardet (>= 1.0); however:
Package python-chardet is not installed.
dpkg: error processing wahcade (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
wahcade

To fix this I simply opened synaptic (but you can use your favorite package manager), searched on python-chardet, and installed it. Then I again hit :

sudo dpkg -i wahcade_0.26_all.deb
and it all worked out just fine.

Again, sorry everyone for the wrong posting.... Should I or can I delete the whole thing?

:oops:
bagleemo
 
Posts: 18
Joined: Wed Nov 14, 2007 3:46 am


Return to Wah!Cade

Who is online

Users browsing this forum: Bing [Bot] and 1 guest

cron